# 数据源配置
spring:
    datasource:
        type: com.alibaba.druid.pool.DruidDataSource
#        driverClassName: com.mysql.cj.jdbc.Driver
        druid:
            # 主库数据源
            master:
                url: jdbc:mysql://sh-cdb-2y9n2832.sql.tencentcdb.com:60123/jpcj?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8&autoReconnect=true
                #url: jdbc:mysql://172.17.0.6:3306/jpcj?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8&autoReconnect=true
                username: root
                password: Miaxis@2020
            # 从库数据源
#            newgzpt:
#                # 从数据源开关/默认关闭
#                enabled: true
#                url: jdbc:oracle:thin:@47.99.70.145:1521:orcl
#                username: newgzpt
#                password: newgzpt2016
            # 初始连接数
            initialSize: 5
            # 最小连接池数量
            minIdle: 10
            # 最大连接池数量
            maxActive: 20
            # 配置获取连接等待超时的时间
            maxWait: 60000
            # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
            timeBetweenEvictionRunsMillis: 60000
            # 配置一个连接在池中最小生存的时间，单位是毫秒
            minEvictableIdleTimeMillis: 300000
            # 配置一个连接在池中最大生存的时间，单位是毫秒
            maxEvictableIdleTimeMillis: 900000
            # 配置检测连接是否有效
            validationQuery: SELECT 1 FROM DUAL
            testWhileIdle: true
            testOnBorrow: false
            testOnReturn: false
            webStatFilter:
                enabled: true
            statViewServlet:
                enabled: true
                # 设置白名单，不填则允许所有访问
                allow:
                url-pattern: /druid/*
                # 控制台管理用户名和密码
                login-username:
                login-password:
            filter:
                stat:
                    enabled: true
                    # 慢SQL记录
                    log-slow-sql: true
                    slow-sql-millis: 1000
                    merge-sql: true
                wall:
                    config:
                        multi-statement-allow: true
    # redis 配置
    redis:
        # 地址
#        host: 172.17.66.3
        host: sh-crs-lfzs3n8w.sql.tencentcdb.com
        # 端口，默认为6379
        port: 29466
        # 密码
        password: miaxis110
        # 连接超时时间
        timeout: 10000
        lettuce:
            pool:
                # 连接池中的最小空闲连接
                min-idle: 0
                # 连接池中的最大空闲连接
                max-idle: 8
                # 连接池的最大数据库连接数
                max-active: 8
                # #连接池最大阻塞等待时间（使用负值表示没有限制）
                max-wait: -1ms
        # 指定库
        database: 13

# 微信公众号
app:
    appId: wx67ca1b8c9816ef28
    appSecret: 8604f2a6eb6338cfa64e7df4ec2c08b3

# 微信小程序
xcx:
    appId: wx8f43db501343feab
    secret: 3509a81880669ffa6fa554b2aa050351

# 微信支付
wxpay:
    v3url: https://api.mch.weixin.qq.com/v3/pay/transactions/jsapi
    v3urlRefund: https://api.mch.weixin.qq.com/v3/refund/domestic/refunds
    merchantId: 1615410794
    serialNumber: 5F85D69504B3B33DAF5A7C5B86A3E93915D3D5B0
    v3key: 8604f2a6eb6338cfa64e7df4ec2c08b3
    notifyUrl: http://jpcj-h5.zzxcx.net/prod-api/open-api/wx/notify/wxpay
    notifyUrlRefund: http://jpcj-h5.zzxcx.net/prod-api/open-api/wx/notify/refund
    xcxNotifyUrl: http://jpcj-h5.zzxcx.net/prod-api/open-api/wx/notify/xcxWxpay
    xcxNotifyUrlRefund: http://jpcj-h5.zzxcx.net/prod-api/open-api/wx/notify/xcxRefund


# 腾讯cos
cos:
    secretId: AKIDwISNOFsJXYGjy89FJI9UnzuZFgTtRgFe
    secretKey: IK5af8MJzPoKbdQxDCtKWR5T5PSEkyDB
    bucket: ap-shanghai
    bucketName: jpcj-1305573081
    path: https://jpcj-1305573081.cos.ap-shanghai.myqcloud.com
    preffix: jpcj-prod


# 带参数的二维码生成路径
file:
    ticketPath: /data/test/


# 公众号
wxgzh:
    # 上传永久素材
    materialUrl: https://api.weixin.qq.com/cgi-bin/material/add_material?access_token=
    # 上传临时素材
    mediaUpload: https://api.weixin.qq.com/cgi-bin/media/upload?access_token=
